---
title: 'HTMLDetailsElement: toggle event'
slug: Web/API/HTMLDetailsElement/toggle_event
tags:
  - Event
  - HTMLDetailsElement
  - Reference
  - details
  - toggle
---
<div>{{APIRef}}</div>

<p>The <strong><code>toggle</code></strong> event fires when the <code>open</code>/<code>closed</code> state of a {{HtmlElement("details")}} element is toggled.</p>

<table class="properties">
 <tbody>
  <tr>
   <th>Bubbles</th>
   <td>No</td>
  </tr>
  <tr>
   <th>Cancelable</th>
   <td>No</td>
  </tr>
  <tr>
   <th>Interface</th>
   <td>{{DOMxRef("Event")}}</td>
  </tr>
  <tr>
   <th>Event handler property</th>
   <td>None</td>
  </tr>
  <tr>
   <th>Default Action</th>
   <td>Toggles the <code>open</code> state of the {{HtmlElement("details")}} element.</td>
  </tr>
 </tbody>
</table>

<h2 id="Examples">Examples</h2>

<p>This example logs chapters that are open. Chapters are removed from the log when they are closed.</p>

<h3 id="HTML">HTML</h3>

<pre class="brush: html notranslate">&lt;aside id="log"&gt;
  &lt;b&gt;Open chapters:&lt;/b&gt;
  &lt;div data-id="ch1" hidden&gt;I&lt;/div&gt;
  &lt;div data-id="ch2" hidden&gt;II&lt;/div&gt;
  &lt;div data-id="ch3" hidden&gt;III&lt;/div&gt;
&lt;/aside&gt;
&lt;section id="summaries"&gt;
  &lt;b&gt;Chapter summaries:&lt;/b&gt;
  &lt;details id="ch1"&gt;
    &lt;summary&gt;Chapter I&lt;/summary&gt;
    Philosophy reproves Boethius for the foolishness of his complaints against Fortune. Her very nature is caprice.
  &lt;/details&gt;
  &lt;details id="ch2"&gt;
    &lt;summary&gt;Chapter II&lt;/summary&gt;
    Philosophy in Fortune's name replies to Boethius' reproaches, and proves that the gifts of Fortune are hers to give and to take away.
  &lt;/details&gt;
  &lt;details id="ch3"&gt;
    &lt;summary&gt;Chapter III&lt;/summary&gt;
    Boethius falls back upon his present sense of misery. Philosophy reminds him of the brilliancy of his former fortunes.
  &lt;/details&gt;
&lt;/section&gt;</pre>

<h3 id="CSS">CSS</h3>

<pre class="brush: css notranslate">body {
  display: flex;
  flex-direction: row-reverse;
}

#log {
  flex-shrink: 0;
  padding-left: 3em;
}

#summaries {
  flex-grow: 1;
}</pre>

<h3 id="JavaScript">JavaScript</h3>

<pre class="brush: js notranslate">function logItem(e) {
  const item = document.querySelector(`[data-id=${e.target.id}]`);
  item.toggleAttribute('hidden');
}

const chapters = document.querySelectorAll('details');
chapters.forEach((chapter) =&gt; {
  chapter.addEventListener('toggle', logItem);
});</pre>

<h3 id="Result">Result</h3>

<p>{{EmbedLiveSample("Examples", 700, 200)}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('HTML WHATWG', 'indices.html#event-toggle', 'toggle event')}}</td>
   <td>{{Spec2("HTML WHATWG")}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.HTMLDetailsElement.toggle_event")}}</p>
